package com.sunxung.factoring.entity.fundmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description : 客户支用信息实体表
 * @Author : L.Jia
 * @Date: 2023-02-22 17:51
 */

@TableName("financial_customer_expenditure_his_info")
public class FinancialCustomerExpenditureHisInfo extends BaseEntity {

    /**
     * 客户支用信息表Id
     **/
    @TableField("financial_customer_expenditure_info_id")
    private Long financialCustomerExpenditureInfoId;

    /**
     * 客户名称
     **/
    @TableField("customer_name")
    private String customerName;

    /**
     * 放款金额
     **/
    @TableField("loan_amount_total")
    private BigDecimal loanAmountTotal;

    /**
     * 放款日期
     **/
    @TableField("loan_date")
    private String loanDate;

    /**
     * 到期日
     **/
    @TableField("expire_date")
    private String expireDate;

    public Long getFinancialCustomerExpenditureInfoId() {
        return financialCustomerExpenditureInfoId;
    }

    public void setFinancialCustomerExpenditureInfoId(Long financialCustomerExpenditureInfoId) {
        this.financialCustomerExpenditureInfoId = financialCustomerExpenditureInfoId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public BigDecimal getLoanAmountTotal() {
        return loanAmountTotal;
    }

    public void setLoanAmountTotal(BigDecimal loanAmountTotal) {
        this.loanAmountTotal = loanAmountTotal;
    }

    public String getLoanDate() {
        return loanDate;
    }

    public void setLoanDate(String loanDate) {
        this.loanDate = loanDate;
    }

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }
}
